LotusSpreadsheetInternal::CellsList Struct Reference

a list of position of a Lotus spreadsheet More...

## Public Member Functions
| CellsList ()
| constructor

## Public Attributes
int | m_ids [2]
| the sheets id
WPSBox2i | m_positions
| the first and last position

## Friends
std::ostream & | operator<< (std::ostream &o, CellsList const &pos)
| operator<<

## Detailed Description

a list of position of a Lotus spreadsheet

## Constructor & Destructor Documentation

## ◆ CellsList()

LotusSpreadsheetInternal::CellsList::CellsList | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | CellsList const & | pos )
| friend

operator<<

## Member Data Documentation

## ◆ m_ids

int LotusSpreadsheetInternal::CellsList::m_ids[2]

the sheets id

Referenced by CellsList(), operator<<, and LotusSpreadsheet::readCellName().

## ◆ m_positions

WPSBox2i LotusSpreadsheetInternal::CellsList::m_positions

the first and last position

Referenced by CellsList(), operator<<, and LotusSpreadsheet::readCellName().

The documentation for this struct was generated from the following file:

- LotusSpreadsheet.cpp